Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.types
Class UnknownParam_c

    java.lang.Object
      polyglot.ext.jl.types.TypeObject_c
          jif.types.UnknownParam_c

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Param, UnknownParam, polyglot.types.TypeObject, polyglot.util.Copy

    public class UnknownParam_c

extends polyglot.ext.jl.types.TypeObject_c
implements UnknownParam

An implementation of the `UnknownParam` interface.

See Also:
  Serialized Form

Field Summary

Fields inherited from class polyglot.ext.jl.types.TypeObject_c
`position, ts`

Constructor Summary
`UnknownParam_c(JifTypeSystem ts, polyglot.util.Position pos)`

Method Summary
`boolean` | `isCanonical()`
`boolean` | `isRuntimeRepresentable()`
`java.lang.String` | `toString()`

Methods inherited from class polyglot.ext.jl.types.TypeObject_c
`copy, equals, equalsImpl, hashCode, position, typeSystem`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface polyglot.types.TypeObject
`equalsImpl, position, typeSystem`

Methods inherited from interface polyglot.util.Copy
`copy`

Constructor Detail

### UnknownParam_c

    public UnknownParam_c(JifTypeSystem ts,
                          polyglot.util.Position pos)

Method Detail

### isRuntimeRepresentable

    public boolean isRuntimeRepresentable()

  Specified by:
    `isRuntimeRepresentable` in interface `Param`

### isCanonical

    public boolean isCanonical()

  Specified by:
    `isCanonical` in interface `Param`
  Specified by:
    `isCanonical` in interface `polyglot.types.TypeObject`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD